Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class XJoin

    java.lang.Object
      unity.operators.Operator
          unity.operators.XJoin

    public class XJoin

extends Operator

Constructor Summary
`XJoin(Operator[] in, EquiJoinPredicate p, int bsize, int bfr, int numpart, boolean MNJoin)`

Method Summary
`boolean` | `alreadyMerged(int arrive, int depart, int pArrive, int pDepart, int part, int source)`
`int` | `choosePartition()`
`void` | `close()`
`void` | `init()`
`Tuple` | `next()`
`java.lang.String` | `toString()`

Methods inherited from class unity.operators.Operator
`getOutputRelation, getPageIOs, getPagesRead, getTupleIOs, getTuplesOutput, getTuplesRead, hasNext, isBuffered, printTree, setOutputRelation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XJoin

    public XJoin(Operator[] in,
                 EquiJoinPredicate p,
                 int bsize,
                 int bfr,
                 int numpart,
                 boolean MNJoin)

Method Detail

### init

    public void init()
              throws java.io.IOException

  Specified by:
    `init` in class `Operator`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `Operator`
  Throws:
    `java.io.IOException`

### alreadyMerged

    public boolean alreadyMerged(int arrive,
                                 int depart,
                                 int pArrive,
                                 int pDepart,
                                 int part,
                                 int source)

### next

    public Tuple next()
               throws java.io.IOException

  Specified by:
    `next` in class `Operator`
  Throws:
    `java.io.IOException`

### choosePartition

    public int choosePartition()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD